//+------------------------------------------------------------------+
//|                                               ConfigTopoBeta.mqh |
//|                                  Copyright 2021, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"

// config to metacuote demo
//input ModeEnv modeEnv = 0; // env mode
//input IntervalsToAmplitude temporalToAmplitude = 0; // temporals to analize the amplitude
//input double MaxRiskByTradeInPercent = 1;    // Max Risk by trade in percentage
//input double MaxDrawdownInPercent = 10;    // Max Risk by day in percentage
//input int numberConsecutiveLossToStop = 40;    // number of the consecutive loss to stop
//input int timeInMinuteToStopConsecutiveLoss = 5;    // time in minutes to stop after consecutive loss
//input bool useDisableRisk = false; // disable drawdown and consecutive loss risk
//input bool useMoveStoploss = false; // use movement of stoploss
//input bool usePartialClose = false; // use partial close
//input bool useMinLotInTradeIfNotEnough = true;   // use min lot in a trade if not enough to operate
//input bool useFixedLotage = false;    // use fixed lotage(0.01)
//input bool useFixedStopLoss = true; // use fixed stopLoss 0.5%
//input bool useFixedTakeProfit = true; // use fixed takeProfit = amplitude
//input double numberPeriodsToClosePosition = 2; // number of periods to close positions
//input double numberPeriodsToWaitAfterCloseTadre = 0.02; // number of periods to wait after close a trade and want other in the same signal
//input bool usePenultimeAndLastAmplitudeCandleToConfirm = true; // use amplitude and size in Penultime and last candle to confirm
//input bool useMacDConfirm = true; // use macd to confirm
//input int      FMA=12;
//input int      SMA=26;
//input int      SIGNAL=9;
//input double macdUmbral = 40; // (diff in percent between hist)
//input int periodSelected = 10; // period in bars to analize the amplitude (only in test mode)
//input double amplitudeValues = 4.5; // umbral values to analize the amplitude (only in test mode))

 //double periodInBarsTmp [8]= {5, 10, 50, 100, 150, 240, 500, 1440};
 //     ArrayCopy(periodInBars, periodInBarsTmp, 0, 0, WHOLE_ARRAY);
 //     //double amplitudeUmbralsTmp[8] = {4, 6, 6, 7, 10, 14, 17}; // manual
 //     double amplitudeUmbralsTmp[8] = {4.5, 4, 4.5, 7.5, 5.5, 8.5, 11, 17}; //#1 better result auto without risk 2021-5-27
 //     //double amplitudeUmbralsTmp[7] = {3, 4, 4.5, 7, 8.5, 11, 17}; //#2 better result auto 2021-5-27
 //     //double amplitudeUmbralsTmp[7] = {4.5, 4.5, 4.5, 5, 8, 13, 15}; // 2021-5-27
 //     ArrayCopy(amplitudeUmbrals, amplitudeUmbralsTmp, 0, 0, WHOLE_ARRAY);
 
// end config to metacuote demo